CatalogAgent Read
List product source and channel publications for agent tools
GET
/v1/agent-read/products/{productId}/publicationsList product source and channel publications for agent tools. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
productId*string
Identifier of the product.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/agent-read/products/7204558912004325301/publications" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "productId": "7204558912004325301", "sources": [ { "sourceId": "7204558912004325301", "listingId": "7204558912004325301", "providerId": "7204558912004325301", "name": "Example resource", "status": "example", "externalProductId": "7204558912004325301", "externalSku": "SKU-001", "lastSyncAt": "2026-08-01T15:30:00Z", "hasError": false } ], "channels": [ { "channelId": "7204558912004325301", "listingId": "7204558912004325301", "providerId": "7204558912004325301", "name": "Example resource", "status": "example", "readinessStatus": "example", "externalProductId": "7204558912004325301", "externalUrl": "https://example.com/resource", "lastSyncAt": "2026-08-01T15:30:00Z", "hasError": false } ]}